// File:  OneDrive/Documents/Speaker/2023/Opus4/10InchWooferSheetCutDiagramBoxParamVol.scad

// Draw a half cube speaker box.
// Scan speak 1.4 cu ft  f3 47 Hz

DriverHoleDmm = 6 * 25.4;  // 11*25.4 + .2;

//echo(" GRS   10 inch   ");
//intVolumeLiters = 30+3; //  
//driverWeightLbs = 9;


//echo("Scanspeak Discovery 12 inch Woofer");
//intVolumeLiters = 43+5; //  
//driverWeightLbs = 6.3 * 2.2;

//echo("Eminence LAB 12C  12 inch Woofer");
//intVolumeLiters = 35+5; //  
//driverWeightLbs = 23.25;

//echo("Wavecore 10.5 inch Woofer  43 Hz");
//intVolumeLiters = 35.4+5; //  
//driverWeightLbs = 9.9;

echo("SB Compact 10 inch Neo Woofer");
intVolumeLiters = 28.2; //  24+3 SB Compact 10" Subwoofer Neo  $295
driverWeightLbs = 4.3 * 2.2;
DriverHoleDmm = 249;

//echo("Scan speak 7 Woofer");
//intVolumeLiters = 15; //  24+3 SB Compact 10" Subwoofer Neo  $295
//driverWeightLbs = 4.3 * 2.2;

//echo(" Dayton 265   10 inch   ");
//intVolumeLiters = 28+3; //  
//driverWeightLbs = 18;

//echo(" SB  SB29NRX75-8 10 inch   0.5 cu ft   65 Hz");
//intVolumeLiters = 14+5; //  
//driverWeightLbs = 5.4 * 2.2;

//echo(" SB  SB29SWNRX-S75 10 inch    51.6 Hz");
//intVolumeLiters = 11.7+5; //  
//driverWeightLbs = 11.7;

//===========================================================
echo("intVolumeLiters", intVolumeLiters);
xCm = (2*intVolumeLiters*1000)^(1/3);
echo("xCm = ", xCm);

tIn = .75;         // Board Thickness inches
sheetWeight = 81;  // lbs per 4' x 8' x 3/4"  baltic birch
sheetDensityPSF = sheetWeight / 4 / 8;
 
aIn   = xCm / 2.54;  // large dimm interior inches



cIn = aIn + 2*tIn;  // exterior width/height
dIn = aIn/2+2*tIn;  // exterior depth

echo("Ext Width [in]", cIn);
echo("Ext Depth [in]", dIn);

// Adjust cIn and aIn here;
//cIn =
//dIn = 

//aIn = cIn - 2*tIn;   // width interior inches
bIn = dIn - 2*tIn;   // depth interior inches
 
T = 25.4*tIn;
BTx = 25.4*cIn;  // 2 Bottom / Top
BTy = 25.4*(bIn+tIn);
Sz = 25.4*aIn;   // 2 Sides
Sy = 25.4*(bIn+tIn);
Bx = 25.4*aIn;   // Back
Bz = 25.4*aIn;
Fx = 25.4*cIn;   // Front
Fz = 25.4*cIn;
 
volumeL = Bx * Bz * (Sy-T) * 1.0e-6;

echo("Top/Bot  BTx", BTx);
echo("BTy", BTy);
echo("Sides Sz", Sz);
echo("Sy", Sy);
echo("Back Bx", Bx);
echo("Bz", Bz);
echo("Front Fx", Fx);
echo("Fz", Fz);
echo("internal Volume [liter]", volumeL);
echo("internal Volume [cu ft]", volumeL/28.31);
 
BTArea = 2 * cIn * (bIn+tIn);
SArea = 2 * aIn * (bIn+tIn);
BArea = aIn*aIn;
FArea = cIn*cIn;

totAreaSqIn = BTArea + SArea + BArea + FArea;
cabWeightLbs = totAreaSqIn / 144 * sheetDensityPSF;
echo("cabWeightLbs", cabWeightLbs);
echo("totalWeightLbs", cabWeightLbs + driverWeightLbs);

 
module box()
{
color( "SkyBlue", 1.0 )
{
    translate([0,0,0]) cube([BTx, BTy, T]);  // bottom
    translate([0,0,Sz+T]) cube([BTx, BTy, T]); // top
}

color( "Green", 0.9 )
{
    translate([0,0,T]) cube([T, Sy, Sz]);
    translate([BTx-T,0,T]) cube([T, Sy, Sz]);
}

difference(){
   translate([0,-T,0]) cube([Fx, T, Fz]);  // front
   translate([Fx/2,.5*T,Fz/2]) rotate([90,0,0])  cylinder(h=2*T, d=DriverHoleDmm, $fn= 90);
}
color( "White", 0.9 ) translate([T,Sy-T,T]) cube([Bx, T, Bz]);  // back

}

box();
//translate([0,0,Fz])box();
//translate([0,0,2*Fz])box();
//translate([0,0,3*Fz])box();




